ubuntu/+source/gutenprint:applied/ubuntu/utopic

Last commit made on 2014-06-25
Get this branch:
git clone -b applied/ubuntu/utopic https://git.launchpad.net/ubuntu/+source/gutenprint
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/utopic
Repository:
lp:ubuntu/+source/gutenprint

Recent commits

ddf487e... by Didier Raboud on 2014-06-23

Import patches-applied version 5.2.10-3 to applied/ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: 812b4dc5eb21c5a8d73c1f7f2b1aefcedd2d0acd
Unapplied parent: 084776bc3c4928e22f9808e1063decc3f0547314

New changelog entries:
  * Add autopkgtest suite that tests all drivers using cups-client's
    test-drivers utility
  * On upgrade, remove driver update timestamp in cups' trigger cache to
    ensure all earlier printers are refreshed (Closes: #749600)

084776b... by Didier Raboud on 2014-06-23

[PATCH] Don't run the insanely long test-rastertogutenprint

Gbp-Pq: 0001-Don-t-run-the-insanely-long-test-rastertogutenprint-.patch.

3ccbdbb... by Didier Raboud on 2014-06-23

Import patches-unapplied version 5.2.10-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8b288f524a5de276d2c04b1e2cce36799b93e096

New changelog entries:
  * Add autopkgtest suite that tests all drivers using cups-client's
    test-drivers utility
  * On upgrade, remove driver update timestamp in cups' trigger cache to
    ensure all earlier printers are refreshed (Closes: #749600)

812b4dc... by Didier Raboud on 2014-06-01

Import patches-applied version 5.2.10-2 to applied/ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: 89c5e8dcf64490fcc02c91c070c88f3dc0d49b6c
Unapplied parent: 7b56cf6d063f29be1ec5c81313b77fb95a9cbc72

New changelog entries:
  * Add Pre-Depends against dpkg-dev for dir_to_symlink support
    (Closes: #749931)
  * New 5.2.10 final upstream release
  * Fix drivers listing by re-introduction --libdir as well as the specific
    dh_makeshlibs and dh_shlibdeps calls, unfortunately dropped in the
    packaging cleanup
  * Fix ppd-updater trigger installation
  * Drop the upstream patch to fix the usb backend crash; was from upstream
  * Rework the /doc/ directories symlinks
  * Fix printer-driver-gutenprint installation of common files on Linux
    (Closes: #748761)
  * Adopt package from Roger, replace him as Uploader, with many thanks for his
    past work! (Closes: #479397)
  * Team upload
  * New upstream release
     o Added a unified CUPS backend to support selected dye sublimation
       printers.
     o Added support for many new Epson and Canon inkjets and for many dye
       sublimation printers. Support for new Canon inkjets mostly experimental.
     o Improved support for many already supported dye sublimation printers.
     o Corrected page dimensions for borderless printing with Canon
       printers.
     o Added duplex support for the EPSON WorkForce 645.
     o Expanded printable area at the bottom of the page for the Epson
       Stylus Pro 3800 and 3880.
     o Added IEEE1284 device IDs for many Epson and Canon inkjets
       (LP: #1248303), monochrome laser printers of all manufacturers, and dye
       sublimation printers of all manufacturers.
     o Added Catalan, Turkish, and Vietnamese translations.
  [ Didier Raboud ]
  * Simplify buildsystem to make use of recent debhelper features
  * Let printer-driver-gutenprint only depend on perl-base through dh_perl -p
  * Only build-depend on libusb-1.0-dev on !hurd-any as it's not available there
  * Add patch to avoid running the insanely long test-rastertogutenprint
    build-test that makes sbuild timeout
  * Build-depend and use dh_autoreconf to make the latest patches useful
  * Drop Section redundancy in printer-driver-gutenprint
  * Correct the lintian warning and the dh_fixperms call around gutenprint52+usb
  * Import a bunch of Ubuntu changes, thanks to Till Kamppeter.
  [ Till Kamppeter ]
  * Replace the printer-driver-gutenprint postinst with a ppd-updater trigger.
    Update the PPD files of all already existing print queues using this driver
    when updating this package. In contrary to Gutenprint's own
    cups-genppdupdate, the script of the cups package can also migrate PPD
    files. In our case we migrate Foomatic/IJS PPD files to the equivalent PPDs
    using the CUPS Raster driver of Gutenprint and we replace simplified PPD
    files by the corresponding standard PPDs, as we discontinue the simplified
    PPDs in Ubuntu to reduce the delta to Debian and to make printer
    model/driver listings in printer setup tools less cluttered.
  * Replaced dependency of printer-driver-gutenprint on ghostscript-cups by
    "cups-filters (>= 1.0.36) | ghostscript-cups (<< 9.08)" as Ghostscript's
    CUPS filters moved to cups-filters from cups-filters 1.0.36/Ghostscript
    9.08 on.
  * Add two configure flags to avoid depending on the CUPS version detection
    code to enable CUPS 1.2 enhancements and disable the CUPS PPD files.
  * Build-depend on libusb-1.0-0-dev for the new CUPS backend for dye
    sublimation printers on USB
  * Install new USB printer blacklist file for the CUPS USB backend (for dye
    sublimation printers using Gutenprint's own backend)
  * Add upstream patch to fix the gutenprint52+usb CUPS backend crashing on
    failure of USB access via libusb (LP: #1297326)
  * Set gutenprint52+usb CUPS backend to 700 permissions so that CUPS runs it
    as root (LP: #1297326)
  * Build, install and fix the permissions of the usb backend only on
    linux-any as kfreebsd's libusb doesn't have the matching API yet
  * Team upload
  [ Didier Raboud ]
  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly
  * Bump Standards-Version to 3.9.5 without changes needed
  * Add the non-minified jquery 1.7.1 source to debian/missing-sources
  * Let {lib,}gutenprint-doc depend on libjs-jquery and symlink the jquery.js
    to the packaged version
  * Add homepage URL
  * Stop installing .po files in gutenprint-locales (Closes: #650758)
  [ Bart Martens ]
  * Add debian/watch
  * New upstream stable release.
  * Drop patches against 5.2.8-1 to correct library versioning and
    linking, which have been incorporated upstream.
  * New upstream stable release.
  * debian/README.building: Document git workflow.
  * debian/control:
    - Upgrade Standards-Version to 3.9.3
    - Require debhelper >= 9.
  * debian/rules:
    - Re-enable NLS with --enable-nls.
  * printer-driver-gutenprint no longer installs profile.jpg.
  * Re-enable NLS with --enable-nls.
  * Apply patch to fix cups-genppd on Linux (and all non-Apple)
    platforms by not using Apple-specific paths for ICC profiles.
    The patch removes all ICC profile information from the
    generated PPDs (Closes: #625925). Thanks to Julien Cristau
    for the patch.
  * printer-driver-gutenprint has versioned Conflicts and Replaces
    on cups-driver-gutenprint (Closes: 651507).
  * Remove printer-driver-gutenprint preinst, and remove parts of the
    postinst and postrm; the migration and cleanup tasks were done for
    oldstable upgrades, and are no longer required.
  * printer-driver-gutenprint Description matches the printing team
    template.
  * Add printer-driver-gutenprint package to replace
    cups-driver-gutenprint. cups-driver-gutenprint is a
    transitional package.
  * debian/control: Use multiline dependencies.
  * Set libdir correctly.
  * New upstream stable release.
  * Upgrade to Standards Version 3.9.2 (no changes).
  * Drop inactive maintainers from Uploaders.
  * Use dh from debhelper for building.
  * Use multiarch paths.
  * New upstream stable release.
  * Use source format 3.0 (quilt), drop dpatch support.
  * Upgrade to Standards Version 3.9.1 (no changes).
  * Drop unused --with-ijs configure argument.
  * debian/rules install-stamp rule depends on build-stamp
    rather than build (which is phony).
  * New upstream stable release.
  * debian/control:
    - Update to standards version 3.8.4.
    - Build-Depend on libreadline-dev.
    - Use ${misc:Depends}.
  [ Roger Leigh ]
  * New upstream stable release.
  * cups-driver-gutenprint: Depend on ghostscript-cups, required for
    Postscript/PDF printing.
  * debian/control: cups-driver-gutenprint: Depend on cups-client since
    lpadmin and lpstat are used during postinst (Closes: #532880).
  * debian/rules: Update build and build-stamp dependencies (it doesn't
    matter if debian/control is changed when build is called). This
    is already taken care of through the autoconfigure-stamp dependency.
  [ Roger Leigh ]
  * New upstream stable release.
  * debian/control:
    - Use ${source:Version} in place of ${binary:Version} for all
      dependencies except for shared library dependencies in library
      -dev packages. This relaxes the dependencies so that a specific
      debian revision of a package is not strictly required. Thanks to
      Amaya Rodrigo Sastre.
    - ijsgutenprint no longer depends on obsolete ghostscript packages
      (Closes: #447533).
    - Build-Depend on debhelper v7.
  * debian/cups-driver-gutenprint.postinst: Don't use full path
    when running cups-genppdupdate (fix Lintian warning).
  * debian/rules:
    - update-patch-series: Use xargs -r to cope with null input.
    - Use dh_prep in place of dh_clean -k.
    - Split install into install-arch and install-indep with common
      install-common rule.
    - For binary-arch, use -s in place of -a.
  [ Roger Leigh ]
  * New upstream stable release.
  [ Roger Leigh ]
  * debian/compat: Update to debhelper v7 compatibility.
  * debian/control:
    - Add W. van den Akker to Uploaders.
    - ijsgutenprint: Recommend foomatic-db-gutenprint.
    - Update description of GIMP Print plugin.
    - Build-Depend upon quilt instead of dpatch.
  * debian/rules:
    - autoconfigure-stamp: Update configure options to create globalised
      CUPS PPDs, and remove obsolete options.
    - realclean:
      + Remove redundant removal of -stamp files.
      + Save and restore config.sub and config.guess. Thanks to
        Till Kamppeter.
      + Move copying of new config.sub and config.guess to
        autoconfigure-stamp, or else saving and restoring has no effect.
    - install: Replace use of pwd with $(CURDIR).
    - Use quilt in place of dpatch, and add rule to generate quilt patch
      series from patches branch in git.
    - Create -stamp files in the debian/ directory, so no new files are
      created outside the debian directory.
  * debian/cups-driver-gutenprint.*: Replace use of cupsys with cups.
  * debian/cups-driver-gutenprint.postinst:
    - Automatically upgrade print queues using the obsolete canon and epson
      backends. Attempt to determine the most appropriate alternative
      backend from the device name.
    - Document USB backend device ID upgrade problems.
  * debian/cups-driver-gutenprint.NEWS: New file.
    - Document automatic upgrade of print queue backends.
    - Document USB backend device ID upgrade problems.
  * debian/patches/10_cups_modeldir.dpatch: Remove.
  * debian/patches/20_fix_gimpprint_menu_entry.dpatch: Remove. Not needed,
    and no longer compiled with GIMP >= 2.4.
  * debian/patches/21_gutenprintui_plist_localefix.dpatch: Remove. Since
    PPD files are no longer generated, we don't need to patch the source
    to use /usr/share/ppd.
  [ W. van den Akker ]
  * Upgraded to Standards version 3.8.0.
  * debian/*: Update version from 5.1 to 5.2.
  [ Roger Leigh ]
  * New upstream stable release.
  * debian/control.in: Add Vcs-Browser and Vcs-Git fields.
  * debian/control.in: Remove, leaving debian/control.
  * debian/control: Remove unnecessary version information in package
    descriptions.
  * debian/control: Rename cupsys-driver-gutenprint to
    cups-driver-gutenprint (already done in 5.0 branch).
  * debian/control: Remove dependencies prior to Lenny, including
    unneeded versioning and old transitional dependencies.
  * debian/rules: Remove library soname substitution in package names.
  * debian/README.building: Remove old outdated instructions.
  * debian/patches/20_fix_gimpprint_menu_entry.dpatch: Make executable.
  * debian/cupsys-driver-gutenprint.postinst: Remove version suffix from
    cups-genppdupdate.
  * debian/rules, debian/cupsys-driver-gutenprint.install: Remove
    cups-genppd; this is no longer needed with CUPS 1.2.x
    (Closes: #474994).
  * debian/control: Remove debian revision in Build-Depends package
    versions.
  * New upstream stable beta release (Closes: #439961, #480113).
  * debian/rules:
    - Remove debian/libgutenprint2.install from GENERATED_FILES, and
      remove the rule to generate it.
    - Rename versioned binaries to 5.1.
    - Remove commands for programs and manpages removed in this release.
  * debian/control.in:
    - Bump version from 5.0 to 5.1.
    - cupsys-driver-gutenprint dependency on older ghostscript versions has
      been restored, to allow migration to testing.
  * debian/cupsys-driver-gutenprint.install:
    - Rename versioned binaries to 5.1.
    - Remove cups-genppdconfig.
  * debian/cupsys-driver-gutenprint.postinst,
    debian/cupsys-driver-gutenprint.postrm,
    debian/cupsys-driver-gutenprint.preinst: Rename versioned binaries to
    5.1.
  * debian/gutenprint-doc.doc-base: Update version, section is now Graphics.
  * debian/ijsgutenprint.install: Rename versioned binaries to 5.1.
  * debian/libgutenprint2.install.in: Rename to
    debian/libgutenprint2.install and hard-code version.
  * debian/libgutenprint-doc.doc-base.developer,
    debian/libgutenprint-doc.doc-base.reference: Section is now
    Programming/C.
  * debian/README.Debian: Bump version from 5.0 to 5.2.
  *
  * debian/control:
    - ijsgutenprint only needs to Depend upon ghostscript. The older
      gs-* variants are no longer needed (Closes: #447533).
  * debian/cupsys-driver-gutenprint.preinst:
    - Remove /etc/cups/command.types if the version is <- 5.0.2-2
      (Closes: #455016). Thanks to Kumar Appaiah for finding this.
  * debian/patches/21_gutenprintui_plist_localefix.dpatch: Set locale
    to C before executing lpr to get non-localised output. Patches
    src/gutenprintui/plist.c and src/gutenprintui2/plist.c to fix
    querying of available printers in a non-C locale (Closes: #456281).
  * New upstream release.
  * debian/control:
    - Update to Standards-Version 3.7.3.
    - libgutenprintui2-dev is in Section libdevel.
  * debian/compat: Update to version 6.
  * debian/changelog:
    - Provide link to full GFDL licence text, rather than the
      entire licence verbatim.
    - Update copyright dates.
  * debian/control: Rename gimp-print to gimp-gutenprint.
  * Rename debian/gimp-print.* to debian/gimp-gutenprint.*.
  * debian/gimp-gutenprint.preinst, debian/gimp-gutenprint.postrm: Remove,
    since diversions are no longer used.
  * debian/gimp-gutenprint.install: Install gutenprint plug-in
    (Closes: #439500).
  * debian/control: Remove libgutenprintui1-1 and libgutenprintui-dev,
  * debian/rules: Disable libgutenprintui when running configure. Remove
    libgutenprintui1-1 from search path for dh_shlibdeps.
    as well as libgtk1.2-dev build dependency.
  * debian/libgutenprintui1-1.install: Remove.
  * debian/libgutenprintui1-dev.install: Remove.
  * debian/control.in: Use ${binary:Version} and ${source:Version} in
    place of deprecated ${Source-Version} substvar (Closes: #431391).
    Thanks to Vincent Fourmond.
  * debian/rules:
    - Don't ignore clean target errors.
    - Remove duplicate distclean command in the clean target.
  * New upstream stable release.
  * debian/control.in:
    - Remove cupsys-driver-gimpprint (cupsys-driver-gutenprint now
      Conflicts and Replaces this transitional package from Etch).
    - Remove foomatic-db-gimp-print (foomatic-db-gutenprint now
      Conflicts and Replaces this transitional package from Etch).
    - Remove ijsgimpprint (ijsgutenprint now Conflicts and Replaces this
      transitional package from Etch).
    - Replace linuxprinting.org with OpenPrinting in package descriptions
      (merge from Ubuntu).
  * debian/cupsys-driver-gutenprint.install: Move /etc/cups/command.types
    to /usr/share/cups/mime.
  * debian/cupsys-driver-gutenprint.preinst:
    - If upgrading from a version less than or equal to 5.0.0-2, remove
      /usr/share/cups/model/gutenprint/5.0.
    - If upgrading from a version less than or equal to 5.0.1-1, remove
      /usr/share/ppd/gutenprint/5.0.
  * debian/cupsys-driver-gutenprint.postinst:
    - Don't call cups-genppdconfig.5.0 now that PPD files are generated on
      the fly.
    - cups-genppdupdate.5.0 no longer needs any arguments.
  * debian/cupsys-driver-gutenprint.postrm:
    - No longer remove PPD files on purge, since PPD files are no longer provided.
  * debian/patches/10_cups_modeldir.dpatch: Patch from Ubuntu. Fix up PPD
    directory location. (Not actually used yet--the patch needs some
    work.)
  * debian/patches/20_fix_gimpprint_menu_entry.dpatch: Patch from Ubuntu.
    Place the Print option in a better position in the GIMP File menu.
  * cupsys-driver-gutenprint: Move PPD files from
    /usr/share/cups/model/gutenprint/5.0 to /usr/share/ppd/gutenprint/5.0, to
    comply with the Debian PPD File Structure Specification
    (http://wiki.debian.org/PpdFileStructureSpecification). The postinst and
    postrm scripts have been updated to remove the old PPDs, generate new PPDs
    in the new location, and to upgrade PPDs using the new location.
    Closes: #396642.
  * debian/control: cupsys-driver-gutenprint Depends upon cupsys or cups >=
    1.2.5, so CUPS is guaranteed to find the PPDs in the new location.
  * debian/control.in: cupsys-driver-gutenprint does not recommend
    gnome-gv | postscript-viewer (Closes: #384232). It is doubtful this
    was of any useful value. Thanks to Christian Hammers.
  * New upstream stable release.
  * debian/compat: Switch to debhelper compatibility level 5.
  * debian/control.in:
    - Replace "beta" with "stable" in package descriptions.
    - Add gutenprint-doc package now that GFDL licensed material with no
      invariant sections is allowed in main.
    - Build-Depend on debhelper >= 5.0.0.
  * debian/copyright: Include full GFDL text.
  * debian/rules:
    - Update upstream version; compute from changelog revision number.
    - Don't compress .pdf and .odt files.
  * debian/gutenprint-doc.doc-base.in: Use new PDF manual rather than old
    (removed) HTML user's guide.
  * debian/gutenprint-doc.install: Install new PDF manual (and ODT source)
    instead of old (removed) HTML user's guide.
  * debian/patches: Drop patches applied upstream:
    - 05_genppdconfig_remove_perlmenu.dpatch
    - 06_genppdupdate_egrep_stdin_freeze.dpatch
    - 07_print_ps_imageable_area_rounding.dpatch
    - 08_escputil_raw_device_open.dpatch
  * configure.ac: Teach PACKAGE_DATA_DIR about $datarootdir.
  * doc/Makefile.am: install-data-local: Install files from $(srcdir), to
    fix VPATH build.
  * src/escputil/escputil.c: When a raw device cannot be opened, display
    a more informative error message. Patch installed as
    debian/patches/08_escputil_raw_device_open.dpatch (Closes: #352106).
  * src/main/print-ps.c: Round ImageableArea dimensions towards the centre
    of the page, and preserve locales recursively. Patch installed as
    debian/07_print_ps_imageable_area_rounding.dpatch (Closes: #329027).
  * debian/rules: Unconditionally set DIALOG when running configure.
  * src/cups/cups-genppdupdate.in: Don't freeze waiting on stdin when
    running egrep. Patch installed as
    debian/patches/06_genppdupdate_egrep_stdin_freeze.dpatch; thanks to
    Felix C. Stegerman for identifying the fault and providing the patch
    (Closes: #368446).
  * New upstream release candidate.
  * doc/Makefile.am, doc/Makefile.in: Drop patches from the .diff.gz which
    have been dropped upstream.
  * debian/cupsys-driver-gutenprint.docs, debian/gimp-print.docs,
    debian/ijsgutenprint.docs: Drop doc/gutenprint-options, which is no
    longer present.
  * debian/libgutenprint-doc.doc-base.developer: Use book1.html, rather
    than index.html, which is no longer present in the upstream release
    (Closes: #367412).
  * debian/control:
    - Update to Standards-Version 3.7.2.
    - escputil: Recommend cupsys-bsd|lprng|lpr to advise that an lpr
      command is available (Closes: #352102).
  * debian/copyright: Update with current CVS repository location
    (Closes: #361120).
  * New upstream release candidate (5.0.0-rc2).
  * The many options provided by Gutenprint are now documented, and this
    documentation (gutenprint-options) is now provided for the
    cupsys-driver-gutenprint, ijsgimpprint and gimp-print packages in their
    documentation directories (Closes: #323172).
  * Revert accidental conversion to a debian-native source package in the last
    release.
  * debian/cupsys-driver-gimpprint.postinst,
    debian/cupsys-driver-gimpprint.postrm: Use invoke-rc.d when reloading
    cupsys, and don't fail if cupsys fails to reload. Patches pulled from
    the Ubuntu patch repository for gimp-print.

7b56cf6... by Didier Raboud on 2014-06-01

[PATCH] Don't run the insanely long test-rastertogutenprint

Gbp-Pq: 0001-Don-t-run-the-insanely-long-test-rastertogutenprint-.patch.

8b288f5... by Didier Raboud on 2014-06-01

Import patches-unapplied version 5.2.10-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e9bf0f0d037fde002793d63f224ce226684a366d

New changelog entries:
  * Add Pre-Depends against dpkg-dev for dir_to_symlink support
    (Closes: #749931)

e9bf0f0... by Didier Raboud on 2014-05-28

Import patches-unapplied version 5.2.10-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7fdb9a12d2668c27e38aa69d3b80dc75a9ac2a09

New changelog entries:
  * New 5.2.10 final upstream release
  * Fix drivers listing by re-introduction --libdir as well as the specific
    dh_makeshlibs and dh_shlibdeps calls, unfortunately dropped in the
    packaging cleanup
  * Fix ppd-updater trigger installation
  * Drop the upstream patch to fix the usb backend crash; was from upstream
  * Rework the /doc/ directories symlinks

7fdb9a1... by Didier Raboud on 2014-05-22

Import patches-unapplied version 5.2.10~pre2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7d31cee5a20c7bb77cb34ecd0a0c0f2856136dd3

New changelog entries:
  * Fix printer-driver-gutenprint installation of common files on Linux
    (Closes: #748761)
  * Adopt package from Roger, replace him as Uploader, with many thanks for his
    past work! (Closes: #479397)

7d31cee... by Didier Raboud on 2014-05-15

Import patches-unapplied version 5.2.10~pre2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7f687d56503521f8a2db55bb30fbc41728e81263

New changelog entries:
  * Team upload
  * New upstream release
     o Added a unified CUPS backend to support selected dye sublimation
       printers.
     o Added support for many new Epson and Canon inkjets and for many dye
       sublimation printers. Support for new Canon inkjets mostly experimental.
     o Improved support for many already supported dye sublimation printers.
     o Corrected page dimensions for borderless printing with Canon
       printers.
     o Added duplex support for the EPSON WorkForce 645.
     o Expanded printable area at the bottom of the page for the Epson
       Stylus Pro 3800 and 3880.
     o Added IEEE1284 device IDs for many Epson and Canon inkjets
       (LP: #1248303), monochrome laser printers of all manufacturers, and dye
       sublimation printers of all manufacturers.
     o Added Catalan, Turkish, and Vietnamese translations.
  [ Didier Raboud ]
  * Simplify buildsystem to make use of recent debhelper features
  * Let printer-driver-gutenprint only depend on perl-base through dh_perl -p
  * Only build-depend on libusb-1.0-dev on !hurd-any as it's not available there
  * Add patch to avoid running the insanely long test-rastertogutenprint
    build-test that makes sbuild timeout
  * Build-depend and use dh_autoreconf to make the latest patches useful
  * Drop Section redundancy in printer-driver-gutenprint
  * Correct the lintian warning and the dh_fixperms call around gutenprint52+usb
  * Import a bunch of Ubuntu changes, thanks to Till Kamppeter.
  [ Till Kamppeter ]
  * Replace the printer-driver-gutenprint postinst with a ppd-updater trigger.
    Update the PPD files of all already existing print queues using this driver
    when updating this package. In contrary to Gutenprint's own
    cups-genppdupdate, the script of the cups package can also migrate PPD
    files. In our case we migrate Foomatic/IJS PPD files to the equivalent PPDs
    using the CUPS Raster driver of Gutenprint and we replace simplified PPD
    files by the corresponding standard PPDs, as we discontinue the simplified
    PPDs in Ubuntu to reduce the delta to Debian and to make printer
    model/driver listings in printer setup tools less cluttered.
  * Replaced dependency of printer-driver-gutenprint on ghostscript-cups by
    "cups-filters (>= 1.0.36) | ghostscript-cups (<< 9.08)" as Ghostscript's
    CUPS filters moved to cups-filters from cups-filters 1.0.36/Ghostscript
    9.08 on.
  * Add two configure flags to avoid depending on the CUPS version detection
    code to enable CUPS 1.2 enhancements and disable the CUPS PPD files.
  * Build-depend on libusb-1.0-0-dev for the new CUPS backend for dye
    sublimation printers on USB
  * Install new USB printer blacklist file for the CUPS USB backend (for dye
    sublimation printers using Gutenprint's own backend)
  * Add upstream patch to fix the gutenprint52+usb CUPS backend crashing on
    failure of USB access via libusb (LP: #1297326)
  * Set gutenprint52+usb CUPS backend to 700 permissions so that CUPS runs it
    as root (LP: #1297326)
  * Build, install and fix the permissions of the usb backend only on
    linux-any as kfreebsd's libusb doesn't have the matching API yet

7f687d5... by Didier Raboud on 2014-04-15

Import patches-unapplied version 5.2.9-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2b84ad8fed1a3eb67abcb5c39a7fb7be3e647a50

New changelog entries:
  * Team upload
  [ Didier Raboud ]
  * Move the repository from collab-maint to printing; update the VCS-* fields
    accordingly
  * Bump Standards-Version to 3.9.5 without changes needed
  * Add the non-minified jquery 1.7.1 source to debian/missing-sources
  * Let {lib,}gutenprint-doc depend on libjs-jquery and symlink the jquery.js
    to the packaged version
  * Add homepage URL
  * Stop installing .po files in gutenprint-locales (Closes: #650758)
  [ Bart Martens ]
  * Add debian/watch